services:
  stage_file_proxy.fetch_manager:
    class: Drupal\stage_file_proxy\FetchManager
    arguments: ['@http_client', '@file_system', '@logger.channel.stage_file_proxy', '@config.factory']

  stage_file_proxy.subscriber:
    class: Drupal\stage_file_proxy\EventSubscriber\ProxySubscriber
    tags:
      - { name: event_subscriber }
    arguments: ['@stage_file_proxy.fetch_manager', '@logger.channel.stage_file_proxy', '@event_dispatcher', '@config.factory', '@request_stack']

  logger.channel.stage_file_proxy:
    parent: logger.channel_base
    arguments: ['stage_file_proxy']
